Skip to Content

List newsletters

List visible newsletters and their consent topics and publishing settings. The topic namespace bounds access.

GET
/v1/newsletters

List visible newsletters and their consent topics and publishing settings. The topic namespace bounds access.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

namespaceId?string
Match^ns_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

Success

application/json
  1. response
items*array<>
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.newsletters.list({});
Example Response
{
  "items": [
    {
      "id": "string",
      "topicId": "string",
      "namespaceId": "string",
      "name": "string",
      "description": "string",
      "issueProjectId": "string",
      "archiveEnabled": true,
      "publicationSlug": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Related documentation